Bug 2616 - Grub2 don't generate properly WIndows 7/8 EFI string and update grub.cfg on EFI partition.
: Grub2 don't generate properly WIndows 7/8 EFI string and update grub.cfg on E...
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 2613
Blocks: 2615
  Show dependency treegraph
 
Reported: 2013-08-29 15:18 MSD by Aleksandr Kazantcev
Modified: 2013-11-08 23:11 MSK (History)
0 users

See Also:
RPM Package: grub2
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-08-29 15:18:41 MSD
Grub2 may work with gpt partitions, but generate wrong string, if Windows 7/8 install in EFI.

Also grub2 need update grub2.cfg on EFI partition, if it mount to /boot/efi
Comment 1 Aleksandr Kazantcev 2013-08-30 15:24:39 MSD
Fixed for /dev/sda in latest GRUB branch (Fresh/RED)